ci: failfast when merge conflict exists (#30823)
[skip ci]
diff --git a/.github/helper/install.sh b/.github/helper/install.sh
index 859146b..69749c9 100644
--- a/.github/helper/install.sh
+++ b/.github/helper/install.sh
@@ -2,6 +2,13 @@
set -e
+# Check for merge conflicts before proceeding
+python -m compileall -f "${GITHUB_WORKSPACE}"
+if grep -lr --exclude-dir=node_modules "^<<<<<<< " "${GITHUB_WORKSPACE}"
+ then echo "Found merge conflicts"
+ exit 1
+fi
+
cd ~ || exit
sudo apt-get install redis-server libcups2-dev